%define upstream_name    XML-SemanticDiff
%define upstream_version 1.0004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Default handler class for XML::SemanticDiff
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(Module::Build) >= 0.390.0
BuildRequires: perl(XML::Parser)
BuildArch:  noarch

%description
XML::SematicDiff provides a way to compare the contents and structure of
two XML documents. By default, it returns a list of hashrefs where each
hashref describes a single difference between the two docs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.0.400-6pclos2017
- rebuild against updates

